aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-radix/APKBUILD
diff options
context:
space:
mode:
authorjakab.kristof@balasys.hu <jakab.kristof@balasys.hu>2016-05-30 11:08:43 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-07-11 18:09:28 +0000
commitf9ef7f0e935e31e66ed29671092f9c166e8ec0dc (patch)
treea4f2ca9b723715840dc5768998f26b4303351932 /testing/py-radix/APKBUILD
parentb7021aa1efe27d8ea7abbc4edeefc8263f862bc7 (diff)
downloadaports-f9ef7f0e935e31e66ed29671092f9c166e8ec0dc.tar.bz2
aports-f9ef7f0e935e31e66ed29671092f9c166e8ec0dc.tar.xz
testing/py-radix: new aport
py-radix implements the radix tree data structure for the storage and retrieval of IPv4 and IPv6 network prefixes. >From 6629d70ce4f5199caa43eb39116e8a4dfcee5e66 Mon Sep 17 00:00:00 2001 From: =?UTF-8?q?Krist=C3=B3f=20Jakab?= <jakab.kristof@balasys.hu> Date: Mon, 30 May 2016 10:57:47 +0200 Subject: [PATCH] testing/py-radix: new aport
Diffstat (limited to 'testing/py-radix/APKBUILD')
-rw-r--r--testing/py-radix/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-radix/APKBUILD b/testing/py-radix/APKBUILD
new file mode 100644
index 0000000000..02ccc923ba
--- /dev/null
+++ b/testing/py-radix/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor:
+# Maintainer: Kristóf Jakab <jakab.kristof@balasys.hu>
+pkgname=py-radix
+pkgver=0.9.6
+pkgrel=0
+pkgdesc="An implementation of a radix tree for Python"
+url="https://github.com/mjschultz/py-radix"
+arch="all"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages="$pkgname-doc"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/mjschultz/py-radix/archive/v${pkgver}.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+md5sums="f41a2a75386066fcf76ddcf6c642bd97 py-radix-0.9.6.tar.gz"
+sha256sums="8de768e3809e71c23098758385692e1a49983d2c2d788f741890cc5b08c58287 py-radix-0.9.6.tar.gz"
+sha512sums="c16dca01820b128a02ac56fff7f223698f0886e4f5af33df25f608203d093e2537afa0583cd9092c8792afac72a2e68988799a6828bf5b26651c05a97799105e py-radix-0.9.6.tar.gz"